PHP in AL2023 - Amazon Linux 2023

Le traduzioni sono generate tramite traduzione automatica. In caso di conflitto tra il contenuto di una traduzione e la versione originale in Inglese, quest'ultima prevarrà.

PHP in AL2023

Amazon Linux 2023 attualmente fornisce due versioni del linguaggio di programmazione PHP, ciascuna supportata per lo stesso periodo del PHP upstream, secondo le nostre dichiarazioni di supporto ai pacchetti.

Con AL2023, i clienti possono beneficiare immediatamente delle nuove funzionalità di PHP 8.2, continuando al contempo a supportare applicazioni che non sono ancora pronte per le modifiche introdotte da PHP 8.2 e che continuano a richiedere PHP 8.1.

Migrazione da versioni PHP precedenti

La community relativa alla versione upstream di PHP ha messo insieme una documentazione completa sulla migrazione per passare a PHP 8.2 da PHP 8.1. Esiste anche la documentazione per la migrazione da PHP 8.0 a 8.1.

Amazon Linux 2 include PHP 8.0, 8.1 e 8.2 in amazon-linux-extras, abilitando così un facile percorso di aggiornamento ad AL2023.

Migrazione da PHP versioni 7.x

Nota

Il progetto PHP mantiene un elenco e una pianificazione delle versioni supportate, nonché un elenco dei rami non supportati.

Quando Amazon Linux 2023 è stato rilasciato, tutte le versioni 7.x e 5.x di PHP non erano supportate dalla community PHP e non erano incluse come opzioni in AL2023.

La community relativa alla versione upstream di PHP ha messo insieme una documentazione completa sulla migrazione per passare a PHP 8.0 da PHP 7.4. In combinazione con la documentazione a cui si fa riferimento nella sezione precedente sulla migrazione a PHP 8.1 e PHP 8.2, puoi elaborare tutti i passaggi per eseguire la migrazione dell'applicazione basata su PHP alla versione attuale di PHP.

Nota

Amazon Linux 2 include PHP 7.1, 7.2, 7.3 e 7.4 in amazon-linux-extras. È importante notare che tutti questi extra sono a fine vita e non è garantito che riceveranno ulteriori aggiornamenti di sicurezza.

Moduli PHP in AL2023

Amazon Linux 2023 include molti moduli PHP inclusi in PHP Core. AL2023 non mira a includere tutti i pacchetti nella PHP Extension Community Library (PECL).